using BPA.SAAS.Manage.Application.Device.Dtos.WarehouseTemplate;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Interface
{
    public interface IWarehouseTemplateService
    {
        Task<PageUtil> GetWarehouseTemplatePage(WarehouseTemplateQueryInputDto inputDto);
        Task<List<WarehouseTemplateView>> GetWarehouseTemplateList(string deviceId);
        Task<bool> AddWarehouseTemplate(WarehouseTemplatDto inputDto);
        Task<bool> DeWarehouseTemplate(List<string> inputList);
        Task<bool> UpdateWarehouseTemplate(WarehouseTemplatDto inputDto);
    }
}
